Sunday, 19 October 2008

Tip of the Day: Install Adobe Flash Player 10 in Debian

Note: This tutorial is for 32-bit architecture only. For 64-bit, please read here and here.

Adobe Flash Player 10 for Linux was released on Oct 15, 2008. You can install it by either using their DEB package or by downloading the .tar.gz for Linux compressed file from here. After the download is finished issue these commands to install it for Iceweasel and Konqueror:

tar -xzf install_flash_player_10_linux.tar.gz
cd install_flash_player_10_linux/
mkdir -p ~/.mozilla/plugins/
cp libflashplayer.so ~/.mozilla/plugins/

You can also run the flashplayer-installer script like this to get Flash Player installed:

./flashplayer-installer

Which will also copy the library libflashplayer.so into the ~/.mozilla/plugins/ directory. Notice that installing it this way will automatically kill any Iceweasel sessions you may have opened.

If you used the manual copy method, restart Iceweasel if it is already running to enable the plugin.

Flash Player 10.0.12.36 running in Iceweasel

To enable Flash Player 10 in Konqueror 3.5.9, go to Settings -> Configure Konqueror..., then click on the Plugins tab on the left. Hit the Scan for New Plugins button (click Save on the dialogue that appears).

Scan for new plugins in Konqueror

Make sure that the directory $HOME/.mozilla/plugins/ is included in the list, so the scan will be able to find your Flash plugin. This path is usually included by default, but you can check to be sure.

Alternately, you can download the DEB for Ubuntu 8.04+ package and install it using the following command as root:

dpkg -i install_flash_player_10_linux.deb

If the command is successful, the output should be something like:

# dpkg -i install_flash_player_10_linux.deb
Selecting previously deselected package adobe-flashplugin.
(Reading database ... 176722 files and directories currently installed.)
Unpacking adobe-flashplugin (from install_flash_player_10_linux.deb) ...
Setting up adobe-flashplugin (10.0.12.36-1hardy1) ...

And your libflashplayer.so library should be installed in /usr/lib/adobe-flashplugin/:

$ whereis adobe-flashplugin
adobe-flashplugin: /usr/lib/adobe-flashplugin
$ file /usr/lib/adobe-flashplugin/libflashplayer.so
/usr/lib/adobe-flashplugin/libflashplayer.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

In this case, make sure to add the path /usr/lib/adobe-flashplugin/ in Konqueror when scanning for new plugins.

2 comments:

Norman said...

How do I make this work with ubuntu 64?

S... said...

http://www.ubuntugeek.com/how-to-install-adobe-flash-player-10-in-ubuntu-804-hardy-heron.html

Hi
Strap